<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' AND `user_id` = '".$user_id."' LIMIT 1");
	if (mysql_num_rows($result) == true)
	{
		$arr_album = mysql_fetch_array(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' AND `user_id` = '".$user_id."' LIMIT 1"));
	}
	else
	{
		go(URL.'/');
	}
}
else
{
	go(URL.'/');
}

$title = $arr_album['name'].' :: '.lang('Загрузить','Завантажити').' фото';
require_once '../incfiles/head.php';

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      dataType: 'json',
      xhr: function(){
	        var xhr = $.ajaxSettings.xhr(); // получаем объект XMLHttpRequest
        xhr.upload.addEventListener('progress', function(evt){ // добавляем обработчик события progress (onprogress)
 		$('#notifications').html('<?echo '<p>'.lang('Загрузка...','Завантаження...').'</p>';?><progress id="progressbar" value="0" max="100"></progress>').show();
		var progressBar = $('#progressbar');
         if(evt.lengthComputable) { // если известно количество байт
            // высчитываем процент загруженного
            var percentComplete = Math.ceil(evt.loaded / evt.total * 100);
            // устанавливаем значение в атрибут value тега <progress>
            // и это же значение альтернативным текстом для браузеров, не поддерживающих <progress>
            progressBar.val(percentComplete).text(percentComplete + '%');
				if(percentComplete == 100)
				{
					$('#notifications').hide();
					Page.Go($that.attr('action'));
				}
          }
        }, false);
        return xhr;
      },
      success: function(json){
        if(json){
          $that.after(json);
        }
      }
    });
  });
});
</script>
<?

	echo '<div class="title">
	<a href="'.URL.'/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.$user['name'].' '.$user['surname'].'</a>
	<a href="'.URL.'/photos/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Фотоальбомы','Фотоальбоми').'</a>
	<a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_album['id'].'" oonclick="Page.Go(this.href); return false">'.$arr_album['name'].'</a>
	</div>
	<div class="title">'.lang('Загрузить','Завантажити').' фото</div>
	<div class="block">
	<div class="for_pc">
	<form id="form" action="'.URL.'/photos/album.php?id='.$id.'" method="post" enctype="multipart/form-data">
	<input class="input2" name="file1" type="file"><br/>
	<input class="button2" type="submit" name="upl" value="'.lang('Загрузить','Завантажити').'">
	</form>
	</div><div class="for_mobile">
	<form id="form" action="'.URL.'/photos/album.php?id='.$id.'" method="post" enctype="multipart/form-data">
	<input class="input2" name="file1" type="file"><br/>
	<input class="button2" type="submit" name="upl" value="'.lang('Загрузить','Завантажити').'">
	</form>
	</div>
	</div>';

require_once '../incfiles/foot.php';

?>